Package ghidra.app.util.bin.format.pef

# Enum Class SectionShareKind

java.lang.Object
java.lang.Enum<SectionShareKind>
ghidra.app.util.bin.format.pef.SectionShareKind

All Implemented Interfaces:
  `Serializable`, `Comparable<SectionShareKind>`, `Constable`

public enum SectionShareKind extends Enum<SectionShareKind>
Values for the shareKind field.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GlobalShare`
  Indicates the section is shared between all processes in the system.
  `ProcessShare`
  Indicates the section is shared within a process, but a fresh copy is created for different processes.
  `ProtectedShare`
  Indicates the section is shared between all processes, but is protected.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SectionShareKind`
  `get(int value)`
  `int`
  `getValue()`
  `static SectionShareKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SectionShareKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ProcessShare

    public static final SectionShareKind ProcessShare
    Indicates the section is shared within a process, but a fresh copy is created for different processes.

  - ### GlobalShare

    public static final SectionShareKind GlobalShare
    Indicates the section is shared between all processes in the system.

  - ### ProtectedShare

    public static final SectionShareKind ProtectedShare
    Indicates the section is shared between all processes, but is protected. Protected sections are read/write in privileged mode and read-only in user mode.

- ## Method Details

  - ### values

    public static SectionShareKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SectionShareKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()

  - ### get

    public static SectionShareKind get(int value)